'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var joi = require('../../utils/joi.js');
var version = require('../../version.js');

const versionResource = {
  options: {
    validate: {
      options: {
        allowUnknown: true,
        stripUnknown: true
      },
      query: joi.object().keys({ timeout: joi.timeout() })
    }
  },
  async handler(request, h) {
    const {
      app: {signal},
      server: {
        app: {ipfs}
      },
      query: {timeout}
    } = request;
    const version$1 = await ipfs.version({
      signal,
      timeout
    });
    return h.response({
      Version: version$1.version,
      Commit: version$1.commit,
      Repo: version$1.repo,
      'ipfs-core': version$1['ipfs-core'],
      'interface-ipfs-core': version$1['interface-ipfs-core'],
      'ipfs-http-client': version.ipfsHttpClient
    });
  }
};

exports.versionResource = versionResource;
